#!/usr/bin/perl -w

# File: client.pl
#

use strict;
use Socket;

my $destination = sockaddr_un("/tmp/com.ibm.rational.test.lt.proxyDaemon");

# Create the socket, connect to the port
socket(SOCKET, PF_UNIX, SOCK_STREAM, 0) || die "socket: $!";
connect(SOCKET, $destination) || die "connect: $!";

my $message;
print SOCKET "1010|9.80.10.*|localhost|tarman2.local\n";
SOCKET->flush;
while ($message = <SOCKET>) {
    print "$message";
    if (index($message, "<Ready>") != -1) {
        last;
	}
}
print SOCKET "1000\n";
SOCKET->flush;
while ($message = <SOCKET>) {
    print "$message";
    if (index($message, "<Ready>") != -1) {
        last;
	}
}
sleep 10;
print SOCKET "<Exit>\n";
SOCKET->flush;
close SOCKET || die "close: $!";
